websocket-sharp : WebSocketSharp.Frame Namespace

# PayloadData Class

Documentation for this section has not yet been entered.

## Syntax

public class PayloadData : IEnumerable<byte>

## Remarks

Documentation for this section has not yet been entered.

## Requirements

Namespace: WebSocketSharp.Frame
Assembly: websocket-sharp (in websocket-sharp.dll)
Assembly Versions: 1.0.2.36581

## Members

See Also: Inherited members from object.

## Public Constructors

| PayloadData (byte[]) | Documentation for this section has not yet been entered.
| PayloadData (string) | Documentation for this section has not yet been entered.
| PayloadData (byte[], bool) | Documentation for this section has not yet been entered.
| PayloadData (byte[], byte[]) | Documentation for this section has not yet been entered.
| PayloadData (byte[], byte[], bool) | Documentation for this section has not yet been entered.

## Public Fields

const | MaxLength | ulong (9223372036854775807). Documentation for this section has not yet been entered.

## Public Properties

[read-only] | ApplicationData | byte[]. Documentation for this section has not yet been entered.
[read-only] | ExtensionData | byte[]. Documentation for this section has not yet been entered.
[read-only] | IsMasked | bool . Documentation for this section has not yet been entered.
[read-only] | Length | ulong . Documentation for this section has not yet been entered.

## Public Methods

GetEnumerator () : IEnumerator<byte>

> Documentation for this section has not yet been entered.

Mask (byte[])

> Documentation for this section has not yet been entered.

ToBytes () : byte[]

> Documentation for this section has not yet been entered.

override

ToString () : string

> Documentation for this section has not yet been entered.

## Explicitly Implemented Interface Members

| IEnumerable.GetEnumerator | Documentation for this section has not yet been entered.

## Extension Methods

static

IsNull<T> (this T) : bool

> Determines whether the specified object is `null`.

static

IsNullDo<T> (this T, Action) : bool

> Determines whether the specified object is `null`. And invokes the specified Action delegate if the specified object is `null`.

## Member Details

### PayloadData Constructor

> Documentation for this section has not yet been entered.

> ## Syntax

> public PayloadData (byte[] appData)

> #### Parameters

> > appData
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Frame
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### PayloadData Constructor

> Documentation for this section has not yet been entered.

> ## Syntax

> public PayloadData (string appData)

> #### Parameters

> > appData
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Frame
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### PayloadData Constructor

> Documentation for this section has not yet been entered.

> ## Syntax

> public PayloadData (byte[] appData, bool masked)

> #### Parameters

> > appData
> >   Documentation for this section has not yet been entered.
> > masked
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Frame
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### PayloadData Constructor

> Documentation for this section has not yet been entered.

> ## Syntax

> public PayloadData (byte[] extData, byte[] appData)

> #### Parameters

> > extData
> >   Documentation for this section has not yet been entered.
> > appData
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Frame
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### PayloadData Constructor

> Documentation for this section has not yet been entered.

> ## Syntax

> public PayloadData (byte[] extData, byte[] appData, bool masked)

> #### Parameters

> > extData
> >   Documentation for this section has not yet been entered.
> > appData
> >   Documentation for this section has not yet been entered.
> > masked
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Frame
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### ApplicationData Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public byte[] ApplicationData { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Frame
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### ExtensionData Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public byte[] ExtensionData { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Frame
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### GetEnumerator Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public IEnumerator<byte> GetEnumerator ()

> #### Returns

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Frame
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### IsMasked Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public bool IsMasked { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Frame
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### Length Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public ulong Length { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Frame
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### Mask Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void Mask (byte[] maskingKey)

> #### Parameters

> > maskingKey
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Frame
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### MaxLength Field

> Documentation for this section has not yet been entered.

> Value: 9223372036854775807

> ## Syntax

> public const ulong MaxLength

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Frame
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### System.Collections.IEnumerable.GetEnumerator Method

> Documentation for this section has not yet been entered.

> ## Syntax

> IEnumerator System.Collections.IEnumerable.GetEnumerator ()

> #### Returns

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Frame
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### ToBytes Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public byte[] ToBytes ()

> #### Returns

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Frame
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### ToString Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public override string ToString ()

> #### Returns

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Frame
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581